## basemap 1.1.0+dfsg

=== requirements.txt ===
pyproj>=1.9.3
pyshp>=1.2.0

## basemap 1.0.1

=== debian/changelog ===
basemap (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #389638)

 -- Sandro Tosi <morph@debian.org>  Wed, 21 Sep 2011 20:54:38 +0200

=== debian/control ===
Source: basemap
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 8.0.0), python-all, python-all-dev, python-all-dbg, libgeos-dev, python-httplib2, python-dap, python-support, python-sphinx (>= 1.0.7+dfsg), python-numpy, python-numpy-dbg, python-matplotlib
Standards-Version: 3.9.2
Homepage: http://matplotlib.sourceforge.net/toolkits.html

Package: python-mpltoolkits.basemap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-mpltoolkits.basemap-data (>= ${source:Version}), python-matplotlib
Recommends: python-dap, python-imaging
Description: matplotlib toolkit to plot on map projections
 The matplotlib basemap toolkit is a library for plotting 2D data on maps in
 Python. It is similar in functionality to the matlab mapping toolbox, the IDL
 mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
 other libraries that provide similar capabilities in Python.
 .
 Basemap does not do any plotting on its own, but provides the facilities to
 transform coordinates to one of 23 different map projections (using the PROJ.4
 C library). Matplotlib is then used to plot contours, images, vectors, lines or
 points in the transformed coordinates. Shoreline, river and political boundary
 datasets (from Generic Mapping Tools) are provided, along with methods for
 plotting them. The GEOS library is used internally to clip the coastline and
 polticial boundary features to the desired map projection region.
 .
 Basemap provides facilities for reading data in netCDF and Shapefile formats,
 as well as directly over http using OPeNDAP. This functionality is provided
 through the PyDAP client, and a Python interface to the Shapefile C library.
 .
 Basemap is geared toward the needs of earth scientists, particular
 oceanographers and meteorologists. The author originally wrote Basemap to help
 in his research (climate and weather forecasting), since at the time CDAT was
 the only other tool in Python for plotting data on map projections. Over the
 years, the capabilities of Basemap have evolved as scientists in other
 disciplines (such as biology, geology and geophysics) requested and contributed
 new features.

Package: python-mpltoolkits.basemap-data
Architecture: all
Depends: ${misc:Depends}
Description: matplotlib toolkit to plot on map projections (data package)
 The matplotlib basemap toolkit is a library for plotting 2D data on maps in
 Python. It is similar in functionality to the matlab mapping toolbox, the IDL
 mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
 other libraries that provide similar capabilities in Python.
 .
 Basemap does not do any plotting on its own, but provides the facilities to
 transform coordinates to one of 23 different map projections (using the PROJ.4
 C library). Matplotlib is then used to plot contours, images, vectors, lines or
 points in the transformed coordinates. Shoreline, river and political boundary
 datasets (from Generic Mapping Tools) are provided, along with methods for
 plotting them. The GEOS library is used internally to clip the coastline and
 polticial boundary features to the desired map projection region.
 .
 Basemap provides facilities for reading data in netCDF and Shapefile formats,
 as well as directly over http using OPeNDAP. This functionality is provided
 through the PyDAP client, and a Python interface to the Shapefile C library.
 .
 Basemap is geared toward the needs of earth scientists, particular
 oceanographers and meteorologists. The author originally wrote Basemap to help
 in his research (climate and weather forecasting), since at the time CDAT was
 the only other tool in Python for plotting data on map projections. Over the
 years, the capabilities of Basemap have evolved as scientists in other
 disciplines (such as biology, geology and geophysics) requested and contributed
 new features.
 .
 This package contains data files for python-mpltoolkits.basemap

Package: python-mpltoolkits.basemap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: matplotlib toolkit to plot on map projections (documentation)
 The matplotlib basemap toolkit is a library for plotting 2D data on maps in
 Python. It is similar in functionality to the matlab mapping toolbox, the IDL
 mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
 other libraries that provide similar capabilities in Python.
 .
 Basemap does not do any plotting on its own, but provides the facilities to
 transform coordinates to one of 23 different map projections (using the PROJ.4
 C library). Matplotlib is then used to plot contours, images, vectors, lines or
 points in the transformed coordinates. Shoreline, river and political boundary
 datasets (from Generic Mapping Tools) are provided, along with methods for
 plotting them. The GEOS library is used internally to clip the coastline and
 polticial boundary features to the desired map projection region.
 .
 Basemap provides facilities for reading data in netCDF and Shapefile formats,
 as well as directly over http using OPeNDAP. This functionality is provided
 through the PyDAP client, and a Python interface to the Shapefile C library.
 .
 Basemap is geared toward the needs of earth scientists, particular
 oceanographers and meteorologists. The author originally wrote Basemap to help
 in his research (climate and weather forecasting), since at the time CDAT was
 the only other tool in Python for plotting data on map projections. Over the
 years, the capabilities of Basemap have evolved as scientists in other
 disciplines (such as biology, geology and geophysics) requested and contributed
 new features.
 .
 This package contains documentation and examples for python-mpltoolkits.basemap

=== debian/rules ===
#!/usr/bin/make -f

PYVERS := $(shell pyversions -s)

%:
	dh $@ --with sphinxdoc

override_dh_auto_install:
	set -e ; \
	for python in $(PYVERS); do \
		$$python setup.py install --prefix $(CURDIR)/debian/python-mpltoolkits.basemap/usr --install-layout=deb; \
		$$python-dbg setup.py install --prefix $(CURDIR)/debian/python-mpltoolkits.basemap/usr --install-layout=deb; \
	done

override_dh_pysupport:
	dh_pysupport
	# remove namespace file, already shipped with python-matplotlib
	rm $(CURDIR)/debian/python-mpltoolkits.basemap/usr/share/pyshared/mpl_toolkits/__init__.py

build: build-arch build-indep ;

build-arch:
	dh build

build-indep:
	# build doc only for default python version
	LIB=$$(python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
	(cd doc ; PYTHONPATH=$$LIB python make.py html)

override_dh_sphinxdoc:
	dh_sphinxdoc -i

## basemap 1.0.2

=== debian/changelog ===
basemap (1.0.2-2) unstable; urgency=low

  * debian/patches/fix_ftbfs_with_geos3.3
    - fix a FTBFS with geos 3.3; thanks to Andreas Beckmann for the report and
      to Francesco P. Lovergine for the patch; Closes: #663403
  * debian/{control, rules}
    - use dh_numpy
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Mar 2012 16:51:34 +0100

basemap (1.0.2-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - updated
  * debian/patches/configure_third_party_modules_installation
    - removed, no longer needed
  * debian/patches/{dont_install_data_files, use_share_datafiles,
                    dont_compile_nad2bin_on_clean}
    - updated to new upstream code

 -- Sandro Tosi <morph@debian.org>  Sun, 13 Nov 2011 22:50:58 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 		$$python setup.py install --prefix $(CURDIR)/debian/python-mpltoolkits.basemap/usr --install-layout=deb; \
 		$$python-dbg setup.py install --prefix $(CURDIR)/debian/python-mpltoolkits.basemap/usr --install-layout=deb; \
 	done
+	dh_numpy
 
 override_dh_pysupport:
 	dh_pysupport

## basemap 1.0.3+dfsg

=== debian/changelog ===
basemap (1.0.3+dfsg-2) unstable; urgency=low

  * debian/rules
    - set MPLCONFIGDIR to a writable directory, so it won't fail to build the
      doc; thanks to Lucas Nussbaum for the report; Closes: #676058

 -- Sandro Tosi <morph@debian.org>  Fri, 15 Jun 2012 19:51:28 +0200

basemap (1.0.3+dfsg-1) unstable; urgency=low

  * New upstream release
    - removed geos-3.3.3 from tarball, hence the dfsg tag
  * debian/copyright
    - updated for new upstream code
    - extended packaging copyright years
  * debian/patches/dont_compile_nad2bin_on_clean
    - removed, merged upstream
  * debian/patches/use_share_datafiles
    - updated for new upstream code

 -- Sandro Tosi <morph@debian.org>  Mon, 28 May 2012 20:07:00 +0200

basemap (1.0.2-3) unstable; urgency=low

  * debian/rules
    - remove leftover from build process, so the package can be built twice in a
      row; thanks to Jakub Wilk for the report; Closes: #671162
    - use xz compression; thanks Julian Taylor for the report and patch;
      Closes: #654651

 -- Sandro Tosi <morph@debian.org>  Fri, 04 May 2012 21:49:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 8.0.0), python-all, python-all-dev, python-all-dbg, libgeos-dev, python-httplib2, python-dap, python-support, python-sphinx (>= 1.0.7+dfsg), python-numpy, python-numpy-dbg, python-matplotlib
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.0.0), python-all, python-all-dev, python-all-dbg, libgeos-dev, python-httplib2, python-dap, python-support, python-sphinx (>= 1.0.7+dfsg), python-numpy (>= 1:1.5.1-4), python-numpy-dbg, python-matplotlib
+Standards-Version: 3.9.3
 Homepage: http://matplotlib.sourceforge.net/toolkits.html
 
 Package: python-mpltoolkits.basemap

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,15 @@
 build-indep:
 	# build doc only for default python version
 	LIB=$$(python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
-	(cd doc ; PYTHONPATH=$$LIB python make.py html)
+	(export MPLCONFIGDIR=. ; cd doc ; PYTHONPATH=$$LIB python make.py html)
 
 override_dh_sphinxdoc:
 	dh_sphinxdoc -i
+
+override_dh_clean:
+	dh_clean
+	rm -rf doc/build
+	rm -f nad2bin.o nad2bin
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://sf.net/matplotlib/basemap-([\d.]*)\.tar\.gz

## basemap 1.0.5+dfsg

=== debian/changelog ===
basemap (1.0.5+dfsg-1) experimental; urgency=low

  * new upstream release
  * debian/patches/*
    - refresh patches
  * debian/control
    - add python-tk to b-d, needed to have a fully functional matplotlib module
  * debian/rules
    - fix a FTBFS when building the documentation
  * debian/patches/use_share_datafiles
    - use BASEMAPDATA variable also in pyproj.py, so that we can pass a local
      directory when building doc

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Aug 2012 23:46:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 8.0.0), python-all, python-all-dev, python-all-dbg, libgeos-dev, python-httplib2, python-dap, python-support, python-sphinx (>= 1.0.7+dfsg), python-numpy (>= 1:1.5.1-4), python-numpy-dbg, python-matplotlib
+Build-Depends: debhelper (>= 8.0.0), python-all, python-all-dev, python-all-dbg, libgeos-dev, python-httplib2, python-dap, python-support, python-sphinx (>= 1.0.7+dfsg), python-numpy (>= 1:1.5.1-4), python-numpy-dbg, python-matplotlib, python-tk
 Standards-Version: 3.9.3
 Homepage: http://matplotlib.sourceforge.net/toolkits.html

## basemap 1.0.7+dfsg

=== debian/changelog ===
basemap (1.0.7+dfsg-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.
  * Fix a typo in the package description.

  [ Sandro Tosi ]
  * New upstream release
  * patch refreshed
  * debian/copyright
    - extended packaging copyright years
    - use the right URL for Format header
    - added reference to local file for GPL-2 license
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)
    - update Homepage field
  * debian/watch
    - mangle local version

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jan 2014 22:12:05 +0100

basemap (1.0.6+dfsg-1) experimental; urgency=low

  * new upstream release
  * debian/copyright
    - extended Debian packaging years
    - added new upstream files
  * debian/patches/{fix_ftbfs_with_geos3.3, use_share_datafiles}
    - updated to new upstream code

 -- Sandro Tosi <morph@debian.org>  Fri, 12 Apr 2013 22:57:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python-all, python-all-dev, python-all-dbg, libgeos-dev, python-httplib2, python-dap, python-support, python-sphinx (>= 1.0.7+dfsg), python-numpy (>= 1:1.5.1-4), python-numpy-dbg, python-matplotlib, python-tk
-Standards-Version: 3.9.3
-Homepage: http://matplotlib.sourceforge.net/toolkits.html
+Standards-Version: 3.9.5
+Homepage:http://matplotlib.sourceforge.net/toolkits.html
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/basemap/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/basemap/trunk/
 
 Package: python-mpltoolkits.basemap
 Architecture: any
@@ -23,7 +25,7 @@
  points in the transformed coordinates. Shoreline, river and political boundary
  datasets (from Generic Mapping Tools) are provided, along with methods for
  plotting them. The GEOS library is used internally to clip the coastline and
- polticial boundary features to the desired map projection region.
+ political boundary features to the desired map projection region.
  .
  Basemap provides facilities for reading data in netCDF and Shapefile formats,
  as well as directly over http using OPeNDAP. This functionality is provided
@@ -52,7 +54,7 @@
  points in the transformed coordinates. Shoreline, river and political boundary
  datasets (from Generic Mapping Tools) are provided, along with methods for
  plotting them. The GEOS library is used internally to clip the coastline and
- polticial boundary features to the desired map projection region.
+ political boundary features to the desired map projection region.
  .
  Basemap provides facilities for reading data in netCDF and Shapefile formats,
  as well as directly over http using OPeNDAP. This functionality is provided
@@ -84,7 +86,7 @@
  points in the transformed coordinates. Shoreline, river and political boundary
  datasets (from Generic Mapping Tools) are provided, along with methods for
  plotting them. The GEOS library is used internally to clip the coastline and
- polticial boundary features to the desired map projection region.
+ political boundary features to the desired map projection region.
  .
  Basemap provides facilities for reading data in netCDF and Shapefile formats,
  as well as directly over http using OPeNDAP. This functionality is provided

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 PYVERS := $(shell pyversions -s)
+LIB := $$(python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
 
 %:
 	dh $@ --with sphinxdoc
@@ -24,9 +25,13 @@
 	dh build
 
 build-indep:
+	# HACK: we need to import axes_grid1 but we need to import it from the "local"
+	# mpl_toolkits namespace
+	ln -s $$(dirname $$(python -c "import mpl_toolkits.axes_grid1 as p; print p.__file__")) $(CURDIR)/$(LIB)/mpl_toolkits/
 	# build doc only for default python version
-	LIB=$$(python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
-	(export MPLCONFIGDIR=. ; cd doc ; PYTHONPATH=$$LIB python make.py html)
+	(export MPLCONFIGDIR=. ; cd doc ; PYTHONPATH=$(CURDIR)/$(LIB) BASEMAPDATA=$(CURDIR)/lib/mpl_toolkits/basemap/data/ python make.py html)
+	# remove hack
+	rm $(CURDIR)/$(LIB)/mpl_toolkits/axes_grid1
 
 override_dh_sphinxdoc:
 	dh_sphinxdoc -i

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
 http://sf.net/matplotlib/basemap-([\d.]*)\.tar\.gz

## basemap 1.1.0%2Bdfsg

=== debian/changelog ===
basemap (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release; Closes: #869156
  * debian/control
    - switch to PIL instead of imaging; #866415
    - bump Standards-Version to 4.1.3
    - remove priority: extra from -dbg packages
    - add pyproj and pyshp to dep
    - add netcdf4, pyproj and pyshp to b-d, needed by doc
  * debian/copyright
    - extend packaging copyright years
    - exclude `geos-3.3.3` from upstream tarballs
    - update for removed upstream code
  * debian/watch
    - update to point to github

 -- Sandro Tosi <morph@debian.org>  Mon, 22 Jan 2018 23:21:34 -0500

basemap (1.0.7+dfsg-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Sandro Tosi ]
  * debian/rules
    - add to build-indep a dependency on build-arch; Closes: #806606
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 14 Aug 2016 17:39:28 +0100

basemap (1.0.7+dfsg-3) unstable; urgency=medium

  * debian/control
    - set me as Maintainer, team as Uploaders

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2015 20:43:53 +0100

basemap (1.0.7+dfsg-2) experimental; urgency=medium

  * debian/control
    - added scipy to Suggests, needed for some interpolation routines
    - added python-owslib to Suggests, needed to retrieve images using WMS
      servers
    - bump Standards-Version to 3.9.6 (no changes needed)
    - update Homepage field
  * Switch to dh_python2
  * Introduce a proper -dbg package
  * Add py3k packages; thanks to Eike von Seggern for report; Closes: #776604
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 07 Feb 2015 15:15:57 +0000

## basemap 1.1.0+dfsg

=== debian/changelog ===
basemap (1.1.0+dfsg-2ubuntu1) cosmic; urgency=medium

  * Apply patch from debian bug 903579 to fix ftbfs with Python 3.7.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 10 Aug 2018 13:07:12 +1200

basemap (1.1.0+dfsg-2build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 11:39:40 +0000

basemap (1.1.0+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/rules
    - fail build if any python3 installation fails; Closes: #866906

 -- Sandro Tosi <morph@debian.org>  Sun, 13 May 2018 21:30:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: basemap
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 8.0.0), python-all, python-all-dev, python-all-dbg, libgeos-dev, python-httplib2, python-dap, python-support, python-sphinx (>= 1.0.7+dfsg), python-numpy (>= 1:1.5.1-4), python-numpy-dbg, python-matplotlib, python-tk
-Standards-Version: 3.9.5
-Homepage:http://matplotlib.sourceforge.net/toolkits.html
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/basemap/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/basemap/trunk/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 8.0.0), python-all, python-all-dev, python-all-dbg, python3-all, python3-all-dev, python3-all-dbg, libgeos-dev, python-httplib2, python-dap, dh-python, python-sphinx (>= 1.0.7+dfsg), python-numpy (>= 1:1.5.1-4), python-numpy-dbg, python3-numpy, python3-numpy-dbg, python-matplotlib, python-tk, python-netcdf4, python-pyproj, python-pyshp
+Standards-Version: 4.1.4
+Homepage: http://matplotlib.org/basemap/
+Vcs-Git: https://salsa.debian.org/python-team/modules/basemap.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/basemap
 
 Package: python-mpltoolkits.basemap
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-mpltoolkits.basemap-data (>= ${source:Version}), python-matplotlib
-Recommends: python-dap, python-imaging
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-mpltoolkits.basemap-data (>= ${source:Version}), python-matplotlib, python-pyproj, python-pyshp
+Recommends: python-dap, python-pil
+Suggests: python-scipy, python-owslib
 Description: matplotlib toolkit to plot on map projections
  The matplotlib basemap toolkit is a library for plotting 2D data on maps in
  Python. It is similar in functionality to the matlab mapping toolbox, the IDL
@@ -38,6 +40,103 @@
  years, the capabilities of Basemap have evolved as scientists in other
  disciplines (such as biology, geology and geophysics) requested and contributed
  new features.
+
+Package: python3-mpltoolkits.basemap
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python-mpltoolkits.basemap-data (>= ${source:Version}), python3-matplotlib, python3-pyproj, python3-pyshp
+Recommends: python3-pil
+Suggests: python3-scipy, python3-owslib
+Description: matplotlib toolkit to plot on map projections (Python 3)
+ The matplotlib basemap toolkit is a library for plotting 2D data on maps in
+ Python. It is similar in functionality to the matlab mapping toolbox, the IDL
+ mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
+ other libraries that provide similar capabilities in Python.
+ .
+ Basemap does not do any plotting on its own, but provides the facilities to
+ transform coordinates to one of 23 different map projections (using the PROJ.4
+ C library). Matplotlib is then used to plot contours, images, vectors, lines or
+ points in the transformed coordinates. Shoreline, river and political boundary
+ datasets (from Generic Mapping Tools) are provided, along with methods for
+ plotting them. The GEOS library is used internally to clip the coastline and
+ political boundary features to the desired map projection region.
+ .
+ Basemap provides facilities for reading data in netCDF and Shapefile formats,
+ as well as directly over http using OPeNDAP. This functionality is provided
+ through the PyDAP client, and a Python interface to the Shapefile C library.
+ .
+ Basemap is geared toward the needs of earth scientists, particular
+ oceanographers and meteorologists. The author originally wrote Basemap to help
+ in his research (climate and weather forecasting), since at the time CDAT was
+ the only other tool in Python for plotting data on map projections. Over the
+ years, the capabilities of Basemap have evolved as scientists in other
+ disciplines (such as biology, geology and geophysics) requested and contributed
+ new features.
+ .
+ This package contains the Python 3 version of python-mpltoolkits.basemap.
+
+Package: python-mpltoolkits.basemap-dbg
+Section: debug
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-dbg, python-mpltoolkits.basemap (= ${binary:Version}), python-mpltoolkits.basemap-data (>= ${source:Version})
+Description: matplotlib toolkit to plot on map projections (debug)
+ The matplotlib basemap toolkit is a library for plotting 2D data on maps in
+ Python. It is similar in functionality to the matlab mapping toolbox, the IDL
+ mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
+ other libraries that provide similar capabilities in Python.
+ .
+ Basemap does not do any plotting on its own, but provides the facilities to
+ transform coordinates to one of 23 different map projections (using the PROJ.4
+ C library). Matplotlib is then used to plot contours, images, vectors, lines or
+ points in the transformed coordinates. Shoreline, river and political boundary
+ datasets (from Generic Mapping Tools) are provided, along with methods for
+ plotting them. The GEOS library is used internally to clip the coastline and
+ political boundary features to the desired map projection region.
+ .
+ Basemap provides facilities for reading data in netCDF and Shapefile formats,
+ as well as directly over http using OPeNDAP. This functionality is provided
+ through the PyDAP client, and a Python interface to the Shapefile C library.
+ .
+ Basemap is geared toward the needs of earth scientists, particular
+ oceanographers and meteorologists. The author originally wrote Basemap to help
+ in his research (climate and weather forecasting), since at the time CDAT was
+ the only other tool in Python for plotting data on map projections. Over the
+ years, the capabilities of Basemap have evolved as scientists in other
+ disciplines (such as biology, geology and geophysics) requested and contributed
+ new features.
+ .
+ This package contains the debug extension for python-mpltoolkits.basemap.
+
+Package: python3-mpltoolkits.basemap-dbg
+Section: debug
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dbg, python3-mpltoolkits.basemap (= ${binary:Version}), python-mpltoolkits.basemap-data (>= ${source:Version})
+Description: matplotlib toolkit to plot on map projections (Python 3 debug)
+ The matplotlib basemap toolkit is a library for plotting 2D data on maps in
+ Python. It is similar in functionality to the matlab mapping toolbox, the IDL
+ mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
+ other libraries that provide similar capabilities in Python.
+ .
+ Basemap does not do any plotting on its own, but provides the facilities to
+ transform coordinates to one of 23 different map projections (using the PROJ.4
+ C library). Matplotlib is then used to plot contours, images, vectors, lines or
+ points in the transformed coordinates. Shoreline, river and political boundary
+ datasets (from Generic Mapping Tools) are provided, along with methods for
+ plotting them. The GEOS library is used internally to clip the coastline and
+ political boundary features to the desired map projection region.
+ .
+ Basemap provides facilities for reading data in netCDF and Shapefile formats,
+ as well as directly over http using OPeNDAP. This functionality is provided
+ through the PyDAP client, and a Python interface to the Shapefile C library.
+ .
+ Basemap is geared toward the needs of earth scientists, particular
+ oceanographers and meteorologists. The author originally wrote Basemap to help
+ in his research (climate and weather forecasting), since at the time CDAT was
+ the only other tool in Python for plotting data on map projections. Over the
+ years, the capabilities of Basemap have evolved as scientists in other
+ disciplines (such as biology, geology and geophysics) requested and contributed
+ new features.
+ .
+ This package contains the debug extension for python3-mpltoolkits.basemap.
 
 Package: python-mpltoolkits.basemap-data
 Architecture: all
@@ -96,8 +195,3 @@
  oceanographers and meteorologists. The author originally wrote Basemap to help
  in his research (climate and weather forecasting), since at the time CDAT was
  the only other tool in Python for plotting data on map projections. Over the
- years, the capabilities of Basemap have evolved as scientists in other
- disciplines (such as biology, geology and geophysics) requested and contributed
- new features.
- .
- This package contains documentation and examples for python-mpltoolkits.basemap

=== debian/rules ===
#!/usr/bin/make -f

PY2VERS := $(shell pyversions -s)
PY3VERS := $(shell py3versions -s)
LIB := $$(python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")

%:
	dh $@ --with sphinxdoc,python2,python3

override_dh_auto_install:
	set -e ; \
	for python in $(PY2VERS); do \
		$$python setup.py install --prefix $(CURDIR)/debian/python-mpltoolkits.basemap/usr --install-layout=deb; \
		$$python-dbg setup.py install --prefix $(CURDIR)/debian/python-mpltoolkits.basemap-dbg/usr --install-layout=deb; \
	done
	set -e ; \
	for python in $(PY3VERS); do \
		$$python setup.py install --prefix $(CURDIR)/debian/python3-mpltoolkits.basemap/usr --install-layout=deb; \
		$$python-dbg setup.py install --prefix $(CURDIR)/debian/python3-mpltoolkits.basemap-dbg/usr --install-layout=deb; \
	done
	dh_numpy

override_dh_python2:
	dh_python2
	# remove namespace file, already shipped with python-matplotlib
	rm $(CURDIR)/debian/python-mpltoolkits.basemap/usr/lib/python2*/dist-packages/mpl_toolkits/__init__.py


override_dh_python3:
	dh_python3
	# remove namespace file, already shipped with python3-matplotlib
	rm $(CURDIR)/debian/python3-mpltoolkits.basemap/usr/lib/python3*/dist-packages/mpl_toolkits/__init__.py

build: build-arch build-indep ;

build-arch:
	dh build

build-indep: build-arch
	# HACK: we need to import axes_grid1 but we need to import it from the "local"
	# mpl_toolkits namespace
	ln -s $$(dirname $$(python -c "import mpl_toolkits.axes_grid1 as p; print p.__file__")) $(CURDIR)/$(LIB)/mpl_toolkits/
	# build doc only for default python version
	(export MPLCONFIGDIR=. ; cd doc ; PYTHONPATH=$(CURDIR)/$(LIB) BASEMAPDATA=$(CURDIR)/lib/mpl_toolkits/basemap/data/ python make.py html)
	# remove hack
	rm $(CURDIR)/$(LIB)/mpl_toolkits/axes_grid1

override_dh_sphinxdoc:
	dh_sphinxdoc -i

override_dh_clean:
	dh_clean
	rm -rf doc/build
	rm -f nad2bin.o nad2bin

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-mpltoolkits.basemap --dbg-package=python-mpltoolkits.basemap-dbg
	dh_strip -ppython3-mpltoolkits.basemap --dbg-package=python3-mpltoolkits.basemap-dbg
endif

## basemap 1.2.0+dfsg

=== debian/changelog ===
basemap (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release; Closes: #918643
  * debian/watch
    - match tags with `rel` suffix
  * debian/copyright
    - extend packaging copyright years
  * debian/patches/*
    - refresh patches
  * debian/control
    - add setuptool, six, pyshp, pyproj, matplotlib, netcdf4 to b-d
    - bump Standards-Version to 4.3.0 (no changes needed)
  * debian/control
    - rework for new upstream setup.py

 -- Sandro Tosi <morph@debian.org>  Thu, 10 Jan 2019 17:53:21 -0500

basemap (1.1.0+dfsg-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * Acknowledge NMU; Closes: #903579

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Nov 2018 18:45:55 -0500

basemap (1.1.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Julian Taylor ]
  * Re-cythonize the sources at build time.  Closes: #903579
  * Fix path to README.md in d/docs.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 28 Oct 2018 17:23:31 +0100

=== debian/control ===
Source: basemap
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends:
 cython3,
 debhelper (>= 8.0.0),
 dh-python,
 libgeos-dev,
 python-all,
 python-all-dbg,
 python-all-dev,
 python-dap,
 python-httplib2,
 python-matplotlib,
 python3-matplotlib,
 python-netcdf4,
 python3-netcdf4,
 python-numpy (>= 1:1.5.1-4),
 python-numpy-dbg,
 python-pyproj,
 python3-pyproj,
 python-pyshp,
 python3-pyshp,
 python-sphinx (>= 1.0.7+dfsg),
 python-tk,
 python3-all,
 python3-all-dbg,
 python3-all-dev,
 python3-numpy,
 python3-numpy-dbg,
 python-setuptools,
 python3-setuptools,
 python-six,
 python3-six,
Standards-Version: 4.3.0
Homepage: http://matplotlib.org/basemap/
Vcs-Git: https://salsa.debian.org/python-team/modules/basemap.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/basemap

Package: python-mpltoolkits.basemap
Architecture: any
Depends:
 python-matplotlib,
 python-mpltoolkits.basemap-data (>= ${source:Version}),
 python-pyproj,
 python-pyshp,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Recommends:
 python-dap,
 python-pil,
Suggests:
 python-owslib,
 python-scipy,
Description: matplotlib toolkit to plot on map projections
 The matplotlib basemap toolkit is a library for plotting 2D data on maps in
 Python. It is similar in functionality to the matlab mapping toolbox, the IDL
 mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
 other libraries that provide similar capabilities in Python.
 .
 Basemap does not do any plotting on its own, but provides the facilities to
 transform coordinates to one of 23 different map projections (using the PROJ.4
 C library). Matplotlib is then used to plot contours, images, vectors, lines or
 points in the transformed coordinates. Shoreline, river and political boundary
 datasets (from Generic Mapping Tools) are provided, along with methods for
 plotting them. The GEOS library is used internally to clip the coastline and
 political boundary features to the desired map projection region.
 .
 Basemap provides facilities for reading data in netCDF and Shapefile formats,
 as well as directly over http using OPeNDAP. This functionality is provided
 through the PyDAP client, and a Python interface to the Shapefile C library.
 .
 Basemap is geared toward the needs of earth scientists, particular
 oceanographers and meteorologists. The author originally wrote Basemap to help
 in his research (climate and weather forecasting), since at the time CDAT was
 the only other tool in Python for plotting data on map projections. Over the
 years, the capabilities of Basemap have evolved as scientists in other
 disciplines (such as biology, geology and geophysics) requested and contributed
 new features.

Package: python-mpltoolkits.basemap-data
Architecture: all
Depends:
 ${misc:Depends},
Description: matplotlib toolkit to plot on map projections (data package)
 The matplotlib basemap toolkit is a library for plotting 2D data on maps in
 Python. It is similar in functionality to the matlab mapping toolbox, the IDL
 mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
 other libraries that provide similar capabilities in Python.
 .
 Basemap does not do any plotting on its own, but provides the facilities to
 transform coordinates to one of 23 different map projections (using the PROJ.4
 C library). Matplotlib is then used to plot contours, images, vectors, lines or
 points in the transformed coordinates. Shoreline, river and political boundary
 datasets (from Generic Mapping Tools) are provided, along with methods for
 plotting them. The GEOS library is used internally to clip the coastline and
 political boundary features to the desired map projection region.
 .
 Basemap provides facilities for reading data in netCDF and Shapefile formats,
 as well as directly over http using OPeNDAP. This functionality is provided
 through the PyDAP client, and a Python interface to the Shapefile C library.
 .
 Basemap is geared toward the needs of earth scientists, particular
 oceanographers and meteorologists. The author originally wrote Basemap to help
 in his research (climate and weather forecasting), since at the time CDAT was
 the only other tool in Python for plotting data on map projections. Over the
 years, the capabilities of Basemap have evolved as scientists in other
 disciplines (such as biology, geology and geophysics) requested and contributed
 new features.
 .
 This package contains data files for python-mpltoolkits.basemap

Package: python-mpltoolkits.basemap-dbg
Section: debug
Architecture: any
Depends:
 python-dbg,
 python-mpltoolkits.basemap (= ${binary:Version}),
 python-mpltoolkits.basemap-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: matplotlib toolkit to plot on map projections (debug)
 The matplotlib basemap toolkit is a library for plotting 2D data on maps in
 Python. It is similar in functionality to the matlab mapping toolbox, the IDL
 mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
 other libraries that provide similar capabilities in Python.
 .
 Basemap does not do any plotting on its own, but provides the facilities to
 transform coordinates to one of 23 different map projections (using the PROJ.4
 C library). Matplotlib is then used to plot contours, images, vectors, lines or
 points in the transformed coordinates. Shoreline, river and political boundary
 datasets (from Generic Mapping Tools) are provided, along with methods for
 plotting them. The GEOS library is used internally to clip the coastline and
 political boundary features to the desired map projection region.
 .
 Basemap provides facilities for reading data in netCDF and Shapefile formats,
 as well as directly over http using OPeNDAP. This functionality is provided
 through the PyDAP client, and a Python interface to the Shapefile C library.
 .
 Basemap is geared toward the needs of earth scientists, particular
 oceanographers and meteorologists. The author originally wrote Basemap to help
 in his research (climate and weather forecasting), since at the time CDAT was
 the only other tool in Python for plotting data on map projections. Over the
 years, the capabilities of Basemap have evolved as scientists in other
 disciplines (such as biology, geology and geophysics) requested and contributed
 new features.
 .
 This package contains the debug extension for python-mpltoolkits.basemap.

Package: python-mpltoolkits.basemap-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: matplotlib toolkit to plot on map projections (documentation)
 The matplotlib basemap toolkit is a library for plotting 2D data on maps in
 Python. It is similar in functionality to the matlab mapping toolbox, the IDL
 mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
 other libraries that provide similar capabilities in Python.
 .
 Basemap does not do any plotting on its own, but provides the facilities to
 transform coordinates to one of 23 different map projections (using the PROJ.4
 C library). Matplotlib is then used to plot contours, images, vectors, lines or
 points in the transformed coordinates. Shoreline, river and political boundary
 datasets (from Generic Mapping Tools) are provided, along with methods for
 plotting them. The GEOS library is used internally to clip the coastline and
 political boundary features to the desired map projection region.
 .
 Basemap provides facilities for reading data in netCDF and Shapefile formats,
 as well as directly over http using OPeNDAP. This functionality is provided
 through the PyDAP client, and a Python interface to the Shapefile C library.
 .
 Basemap is geared toward the needs of earth scientists, particular
 oceanographers and meteorologists. The author originally wrote Basemap to help
 in his research (climate and weather forecasting), since at the time CDAT was
 the only other tool in Python for plotting data on map projections. Over the
 years, the capabilities of Basemap have evolved as scientists in other
 disciplines (such as biology, geology and geophysics) requested and contributed
 new features.
 .
 This package contains documentation and examples for python-mpltoolkits.basemap

Package: python3-mpltoolkits.basemap
Architecture: any
Depends:
 python-mpltoolkits.basemap-data (>= ${source:Version}),
 python3-matplotlib,
 python3-pyproj,
 python3-pyshp,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-pil,
Suggests:
 python3-owslib,
 python3-scipy,
Description: matplotlib toolkit to plot on map projections (Python 3)
 The matplotlib basemap toolkit is a library for plotting 2D data on maps in
 Python. It is similar in functionality to the matlab mapping toolbox, the IDL
 mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
 other libraries that provide similar capabilities in Python.
 .
 Basemap does not do any plotting on its own, but provides the facilities to
 transform coordinates to one of 23 different map projections (using the PROJ.4
 C library). Matplotlib is then used to plot contours, images, vectors, lines or
 points in the transformed coordinates. Shoreline, river and political boundary
 datasets (from Generic Mapping Tools) are provided, along with methods for
 plotting them. The GEOS library is used internally to clip the coastline and
 political boundary features to the desired map projection region.
 .
 Basemap provides facilities for reading data in netCDF and Shapefile formats,
 as well as directly over http using OPeNDAP. This functionality is provided
 through the PyDAP client, and a Python interface to the Shapefile C library.
 .
 Basemap is geared toward the needs of earth scientists, particular
 oceanographers and meteorologists. The author originally wrote Basemap to help
 in his research (climate and weather forecasting), since at the time CDAT was
 the only other tool in Python for plotting data on map projections. Over the
 years, the capabilities of Basemap have evolved as scientists in other
 disciplines (such as biology, geology and geophysics) requested and contributed
 new features.
 .
 This package contains the Python 3 version of python-mpltoolkits.basemap.

Package: python3-mpltoolkits.basemap-dbg
Section: debug
Architecture: any
Depends:
 python-mpltoolkits.basemap-data (>= ${source:Version}),
 python3-dbg,
 python3-mpltoolkits.basemap (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: matplotlib toolkit to plot on map projections (Python 3 debug)
 The matplotlib basemap toolkit is a library for plotting 2D data on maps in
 Python. It is similar in functionality to the matlab mapping toolbox, the IDL
 mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
 other libraries that provide similar capabilities in Python.
 .
 Basemap does not do any plotting on its own, but provides the facilities to
 transform coordinates to one of 23 different map projections (using the PROJ.4
 C library). Matplotlib is then used to plot contours, images, vectors, lines or
 points in the transformed coordinates. Shoreline, river and political boundary
 datasets (from Generic Mapping Tools) are provided, along with methods for
 plotting them. The GEOS library is used internally to clip the coastline and
 political boundary features to the desired map projection region.
 .
 Basemap provides facilities for reading data in netCDF and Shapefile formats,
 as well as directly over http using OPeNDAP. This functionality is provided
 through the PyDAP client, and a Python interface to the Shapefile C library.
 .
 Basemap is geared toward the needs of earth scientists, particular
 oceanographers and meteorologists. The author originally wrote Basemap to help

=== debian/rules ===
--- 
+++ 
@@ -9,27 +9,18 @@
 
 override_dh_auto_install:
 	set -e ; \
+	cython3 -2 src/*pyx; \
 	for python in $(PY2VERS); do \
-		$$python setup.py install --prefix $(CURDIR)/debian/python-mpltoolkits.basemap/usr --install-layout=deb; \
-		$$python-dbg setup.py install --prefix $(CURDIR)/debian/python-mpltoolkits.basemap-dbg/usr --install-layout=deb; \
+		$$python setup.py install --root $(CURDIR)/debian/python-mpltoolkits.basemap/ --install-layout=deb; \
+		$$python-dbg setup.py install --root $(CURDIR)/debian/python-mpltoolkits.basemap-dbg/ --install-layout=deb; \
 	done
 	set -e ; \
+	cython3 -3 src/*pyx; \
 	for python in $(PY3VERS); do \
-		$$python setup.py install --prefix $(CURDIR)/debian/python3-mpltoolkits.basemap/usr --install-layout=deb; \
-		$$python-dbg setup.py install --prefix $(CURDIR)/debian/python3-mpltoolkits.basemap-dbg/usr --install-layout=deb; \
+		$$python setup.py install --root $(CURDIR)/debian/python3-mpltoolkits.basemap/ --install-layout=deb; \
+		$$python-dbg setup.py install --root $(CURDIR)/debian/python3-mpltoolkits.basemap-dbg/ --install-layout=deb; \
 	done
 	dh_numpy
-
-override_dh_python2:
-	dh_python2
-	# remove namespace file, already shipped with python-matplotlib
-	rm $(CURDIR)/debian/python-mpltoolkits.basemap/usr/lib/python2*/dist-packages/mpl_toolkits/__init__.py
-
-
-override_dh_python3:
-	dh_python3
-	# remove namespace file, already shipped with python3-matplotlib
-	rm $(CURDIR)/debian/python3-mpltoolkits.basemap/usr/lib/python3*/dist-packages/mpl_toolkits/__init__.py
 
 build: build-arch build-indep ;
